import 'package:flutter/widgets.dart';

/// [IFormState] extends [State]. Every form state in Forma extends [IFormState].
/// The [IFormState] provides a simple API for executing form save functionality
abstract class IFormState<T, S extends StatefulWidget> extends State<S> {
  T save();
}
