import 'package:flutter/widgets.dart';

/// The [ILayout] interface is used to add predefined layouts to a form.
/// Form classes have a [withLayout] method where a [ILayout] instance is accepted. Or the build method of the [ILayout] instance can be injected in every form instance.
abstract class ILayout {
  Widget layout(BuildContext context, dynamic widgets);
}
